Subject: Re: Endian problem when accessing internel regs on 8347

From: Scott Wood <[email-masked]>
Date: Thu, 17 Jan 2008 11:39:55 -0600

[email-masked] wrote:
> As an additional question related to PowerPC inline assembly, can anyone 
> tell me what "%U1%X1" means in the following:
> 
> __asm__ __volatile__("lwz%U1%X1 %0,%1; twi 0,%0,0; isync" : "=r" (ret) : 
> "m" (*addr));

They allow the compiler to use update and/or index mode for the memory 
operand.

-Scott